# bigip_timer_policy – Manage timer policies on a BIG-IP

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage timer policies on a BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Specifies descriptive text that identifies the timer policy.
name string / required |  | Specifies the name of the timer policy.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

rules list |  | Rules that you want assigned to the timer policy
| destination_ports list |  | The list of destination ports to match the rule on. Specify a port range by specifying start and end ports separated by a dash (-). This field is only available if you have selected the `sctp`, `tcp`, or `udp` protocol.
| idle_timeout string |  | Specifies an idle timeout, in seconds, for protocol and port pairs that match the timer policy rule. When `infinite`, specifies that the protocol and port pairs that match the timer policy rule have no idle timeout. When specifying rules, if this parameter is not specified, the default of `unspecified` will be used.
| name string / required |  | The name of the rule.

protocol
string

Choices:
- all-other
- ah
- bna
- esp
- etherip
- gre
- icmp
- ipencap
- ipv6
- ipv6-auth
- ipv6-crypt
- ipv6-icmp
- isp-ip
- mux
- ospf
- sctp
- tcp
- udp
- udplite

Specifies the IP protocol entry for which the timer policy rule is being configured. This could be a layer-4 protocol (such as `tcp`, `udp` or `sctp`.
Only flows matching the configured protocol will make use of this rule.
When `all-other` is specified, if there are no specific ip-protocol rules that match the flow, the flow matches all the other ip-protocol rules.
When specifying rules, if this parameter is not specified, the default of `all-other` will be used.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the resource exists.
When `absent`, ensures the resource is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a timer policy
      bigip_timer_policy:
        name: timer1
        description: My timer policy
        rules:
          - name: rule1
            protocol: tcp
            idle_timeout: indefinite
            destination_ports:
              - 443
              - 80
          - name: rule2
            protocol: 200
          - name: rule3
            protocol: sctp
            idle_timeout: 200
            destination_ports:
              - 21
        state: present
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Remove a timer policy and all its associated rules
      bigip_timer_policy:
        name: timer1
        description: My timer policy
        state: absent
        provider:
          user: admin
          password: secret
          server: lb.mydomain.com
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | The new description of the timer policy. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.